Skip to main content
POST
/
braze_multilang
/
v1
/
async
/
list-files
List Braze multilingual content asynchronously
curl --request POST \
  --url https://eu.phrase.com/connectors/braze_multilang/v1/async/list-files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Webhook: <x-webhook>' \
  --data '
{
  "connectorUuid": "4282fec0-d2e9-4266-8733-3e634feb7b59",
  "configuration": {},
  "path": {
    "pathType": "ROOT"
  },
  "sourceLocale": "en-US"
}
'
{
  "requestId": "e48eda63-928c-4155-bez9-fdbsaadc15f3",
  "webHookUrl": "https://example.tld/my-webhook"
}

Authorizations

Authorization
string
header
required

IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer

Headers

X-ActionId
string

A logging ID of the request. It is propagated through Phrase systems, making it easier to connect logs from various services. If no ActionId is sent with a request, one will be generated by Bifrost and returned with the response.

X-ResponseType
string

Specify if the response should contain the processed object itself in an application/octet-stream body, or a application/json body with an ID that can be then used to retrieve the object using a /load-content endpoint. Note that for larger files (> 1 MB), it is advised to use the ID option which is also default.

X-Webhook
string
required

Required on /async/... endpoints. Bifrost POSTs the operation result to this URL once the connector finishes processing. Omitting this header on an async endpoint returns 400.

Body

application/json

Request body for listing Braze multilingual content. The response is a list of remoteResources you can feed back into download / convert endpoints.

connectorUuid
string
required

UUID of a connector instance configured in TMS.

Example:

"4282fec0-d2e9-4266-8733-3e634feb7b59"

configuration
object
required

Connector configuration for the Braze Multilang connector

Example:
{
  "tags": ["marketing", "priority"],
  "maxDaysFromLastUpdate": 30,
  "includeHash": true
}
path
object
required

Selector inside the Braze workspace — content block / campaign ID, or ROOT for the entire selection driven by configuration.

sourceLocale
string
required

Locale of the content to list.

Example:

"en-US"

Response

Successful operation. If X-ResponseType is set to 'ID' or no value is sent in the header, the file is saved and can be retrieved by sending a GET request to this endpoint. If X-ResponseType is set to 'OBJECT', the file is returned as a stream.

webhookUrl
string

Webhook URL you supplied in the request

requestId
string

Request ID you can use to retrieve the result